> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream logs in real-time via SSE

> Server-Sent Events endpoint for real-time log streaming with filters



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json get /v0/metrics/logs/stream
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/metrics/logs/stream:
    get:
      tags:
        - metrics
      summary: Stream logs in real-time via SSE
      description: Server-Sent Events endpoint for real-time log streaming with filters
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Comma-separated server IDs
          in: query
          name: server_ids
          schema:
            type: string
        - description: Comma-separated server group IDs
          in: query
          name: server_group_ids
          schema:
            type: string
        - description: Comma-separated persistent server IDs
          in: query
          name: persistent_server_ids
          schema:
            type: string
        - description: Comma-separated serverhost IDs
          in: query
          name: serverhost_ids
          schema:
            type: string
        - description: Comma-separated severities (ERROR, WARN, INFO, DEBUG)
          in: query
          name: severities
          schema:
            type: string
        - description: Comma-separated tags
          in: query
          name: tags
          schema:
            type: string
        - description: Full-text search in messages
          in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: string
            text/event-stream:
              schema:
                type: string
          description: SSE stream
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````